> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modawer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send OTP message

> Send an OTP message through Modawer's official WhatsApp account.



## OpenAPI

````yaml /v1.json post /messages/send-otp
openapi: 3.1.1
info:
  title: Modawer.Api | v1
  version: 1.0.0
servers:
  - url: https://modawer.com/api
security: []
tags:
  - name: Messages
paths:
  /messages/send-otp:
    post:
      tags:
        - Messages
      summary: Send OTP message
      description: Send an OTP message through Modawer's official WhatsApp account.
      operationId: sendOtpMessage
      parameters:
        - name: X-API-KEY
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueueOtpMessageRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueueMessageResponse'
components:
  schemas:
    QueueOtpMessageRequest:
      required:
        - recipient
        - otp
      type: object
      properties:
        recipient:
          type: string
        otp:
          type: string
        channels:
          type: array
          items:
            $ref: '#/components/schemas/MessageChannel'
          default:
            - WhatsApp
    QueueMessageResponse:
      required:
        - queued
      type: object
      properties:
        queued:
          type: boolean
    MessageChannel:
      type: string
      enum:
        - WhatsApp
        - Telegram

````